Options

# Defining options

class Options opts

defaultOptions

simpleOption

data DefineOptions a

class SimpleOptionType a

# Defining subcommands

data Subcommand cmdOpts action

subcommand

# Running main with options

runCommand

runSubcommand

# Parsing argument lists

class Parsed a

parsedError

parsedHelp

## Parsing options

data ParsedOptions opts

parsedOptions

parsedArguments

parseOptions

## Parsing sub-commands

data ParsedSubcommand action

parsedSubcommand

parseSubcommand

# Advanced option definitions

data OptionType val

defineOption

data Option a

optionShortFlags

optionLongFlags

optionDefault

optionDescription

optionGroup

## Option groups

data Group

group

groupName

groupTitle

groupDescription

# Option types

optionType_bool

optionType_string

optionType_int

optionType_int8

optionType_int16

optionType_int32

optionType_int64

optionType_word

optionType_word8

optionType_word16

optionType_word32

optionType_word64

optionType_integer

optionType_float

optionType_double

optionType_maybe

optionType_list

optionType_set

optionType_map

optionType_enum

## Custom option types

optionType

optionTypeName

optionTypeDefault

optionTypeParse

optionTypeShow

optionTypeUnary

optionTypeMerge